/*
 * Class BOOLEAN_REF
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_866 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_866 [] = {0xFF01,1551,865,0xFFFF};
static const EIF_TYPE_INDEX egt_2_866 [] = {0xFF01,865,0xFFFF};
static const EIF_TYPE_INDEX egt_3_866 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_866 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_866 [] = {0xFF01,865,0xFFFF};
static const EIF_TYPE_INDEX egt_6_866 [] = {0xFF01,865,0xFFFF};
static const EIF_TYPE_INDEX egt_7_866 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_866 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_866 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_866 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_866 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_866 [] = {0xFF01,865,0xFFFF};
static const EIF_TYPE_INDEX egt_13_866 [] = {0xFF01,865,0xFFFF};


static const struct desc_info desc_866[] = {
	{EIF_GENERIC(NULL), 21665, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_866), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_866), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_866), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_866), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_866), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_866), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_866), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_866), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_866), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_866), 21679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_866), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_866), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C3 /*865*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_866), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21666, 0},
	{EIF_GENERIC(NULL), 21668, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_866), 21669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 21670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 21671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 21678, 0xFFFFFFFF},
};
void Init866(void)
{
	IDSC(desc_866, 0, 865);
	IDSC(desc_866 + 1, 1, 865);
	IDSC(desc_866 + 32, 700, 865);
	IDSC(desc_866 + 34, 634, 865);
}


#ifdef __cplusplus
}
#endif
